> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update workspace settings



## OpenAPI

````yaml api-reference/openapi.v1.json PATCH /workspaces/{workspaceID}
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /workspaces/{workspaceID}:
    patch:
      tags:
        - workspaces
      summary: Update workspace settings
      operationId: updateWorkspace
      parameters:
        - in: path
          name: workspaceID
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  active_operation:
                    $ref: '#/components/schemas/WorkspaceOperationSummary'
                  active_operations:
                    items:
                      $ref: '#/components/schemas/WorkspaceOperationSummary'
                    type: array
                  created_at:
                    minLength: 1
                    type: string
                  display_state:
                    enum:
                      - deleted
                      - idle
                      - starting
                      - stopping
                      - suspending
                      - destroying
                      - ready
                      - preparing
                      - error
                      - stopped
                      - suspended
                    type: string
                  error_message:
                    minLength: 1
                    type: string
                  git_ref:
                    minLength: 1
                    type: string
                  hardware:
                    $ref: '#/components/schemas/HardwareConfig'
                  has_active_lease:
                    type: boolean
                  has_open_runtime_interval:
                    type: boolean
                  id:
                    format: uuid
                    type: string
                  is_deleted:
                    type: boolean
                  keep_active:
                    type: boolean
                  last_accessed_at:
                    minLength: 1
                    type: string
                  last_shutdown_at:
                    minLength: 1
                    type: string
                  last_started_at:
                    minLength: 1
                    type: string
                  machine_id:
                    minLength: 1
                    type: string
                  observed_state:
                    enum:
                      - absent
                      - running
                      - suspended
                      - stopped
                      - destroyed
                    type: string
                  private_ip:
                    minLength: 1
                    type: string
                  project_id:
                    format: uuid
                    type: string
                  runtime_class_id:
                    minLength: 1
                    type: string
                  task_id:
                    format: uuid
                    type: string
                  updated_at:
                    minLength: 1
                    type: string
                required:
                  - id
                  - project_id
                  - is_deleted
                  - has_active_lease
                  - observed_state
                  - has_open_runtime_interval
                  - display_state
                  - runtime_class_id
                  - hardware
                  - keep_active
                  - created_at
                  - updated_at
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    UpdateWorkspaceRequest:
      additionalProperties: false
      properties:
        cpu_kind:
          enum:
            - shared
            - performance
          type: string
        cpus:
          format: int64
          maximum: 16
          minimum: 1
          type: integer
        gpu_kind:
          enum:
            - a10
            - l40s
            - a100-40gb
            - a100-80gb
          type:
            - string
            - 'null'
        keep_active:
          type: boolean
        memory_mb:
          format: int64
          maximum: 32768
          minimum: 256
          type: integer
        volume_size_gb:
          format: int64
          maximum: 500
          minimum: 1
          type: integer
      type: object
    WorkspaceOperationSummary:
      additionalProperties: false
      properties:
        completed_at:
          minLength: 1
          type: string
        created_at:
          minLength: 1
          type: string
        error_message:
          minLength: 1
          type: string
        id:
          format: uuid
          type: string
        status:
          enum:
            - queued
            - running
            - reconciling
            - succeeded
            - failed
            - cancelled
          type: string
        type:
          enum:
            - create
            - start
            - suspend
            - stop
            - destroy
            - recover
          type: string
        updated_at:
          minLength: 1
          type: string
      required:
        - id
        - type
        - status
        - created_at
        - updated_at
      type: object
    HardwareConfig:
      additionalProperties: false
      properties:
        cpu_kind:
          enum:
            - shared
            - performance
          type: string
        cpus:
          format: int64
          maximum: 16
          minimum: 1
          type: integer
        gpu_kind:
          enum:
            - a10
            - l40s
            - a100-40gb
            - a100-80gb
          type:
            - string
            - 'null'
        memory_mb:
          format: int64
          maximum: 32768
          minimum: 256
          type: integer
        volume_size_gb:
          format: int64
          maximum: 500
          minimum: 1
          type: integer
      required:
        - cpu_kind
        - cpus
        - memory_mb
        - volume_size_gb
        - gpu_kind
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````